6.0.0-git
2019-03-18

[#11137] Improper code in Horde/Imap/Client/Socket.php
Summary Improper code in Horde/Imap/Client/Socket.php
Queue Horde Framework Packages
Queue Version Git master
Type Bug
State Resolved
Priority 1. Low
Owners slusarz (at) horde (dot) org
Requester peter (at) dobranszky (dot) com
Created 2012-04-10 (2533 days ago)
Due
Updated 2012-08-29 (2392 days ago)
Assigned
Resolved 2012-04-10 (2533 days ago)
Milestone
Patch No

History
2012-08-29 12:36:11 Git Commit Comment #8 Reply to this comment
Changes have been made in Git (master):

commit d3fd9669ad3e2e52ba88c82cebf67338b9247899
Author: Michael M Slusarz <slusarz@horde.org>
Date:   Mon Apr 9 22:20:05 2012 -0600

     Revert "Bug #11137: Still need to support PHP 5.2 in version 1.x 
of Imap_Client"

     This reverts commit cdc4852e8e68bc02a52dfb7c3b4f07d77a9fda8c.

  .../Imap_Client/lib/Horde/Imap/Client/Socket.php   |    4 ++--
  1 files changed, 2 insertions(+), 2 deletions(-)

http://git.horde.org/horde-git/-/commit/d3fd9669ad3e2e52ba88c82cebf67338b9247899
2012-04-11 13:15:37 Git Commit Comment #7 Reply to this comment
Changes have been made in Git (master):

commit ec5863479c9b1b899e1f8181f061e8421f2f276c
Author: Jan Schneider <jan@horde.org>
Date:   Wed Apr 11 15:08:55 2012 +0200

     [mms] Fixed PHP 5.2 incompatibility (Bug #11137).

  framework/Imap_Client/package.xml |    4 ++--
  1 files changed, 2 insertions(+), 2 deletions(-)

http://git.horde.org/horde-git/-/commit/ec5863479c9b1b899e1f8181f061e8421f2f276c
2012-04-11 13:15:28 Git Commit Comment #6 Reply to this comment
Changes have been made in Git (develop):

commit ec5863479c9b1b899e1f8181f061e8421f2f276c
Author: Jan Schneider <jan@horde.org>
Date:   Wed Apr 11 15:08:55 2012 +0200

     [mms] Fixed PHP 5.2 incompatibility (Bug #11137).

  framework/Imap_Client/package.xml |    4 ++--
  1 files changed, 2 insertions(+), 2 deletions(-)

http://git.horde.org/horde-git/-/commit/ec5863479c9b1b899e1f8181f061e8421f2f276c
2012-04-10 04:20:34 Git Commit Comment #5 Reply to this comment
Changes have been made in Git (develop):

commit d3fd9669ad3e2e52ba88c82cebf67338b9247899
Author: Michael M Slusarz <slusarz@horde.org>
Date:   Mon Apr 9 22:20:05 2012 -0600

     Revert "Bug #11137: Still need to support PHP 5.2 in version 1.x 
of Imap_Client"

     This reverts commit cdc4852e8e68bc02a52dfb7c3b4f07d77a9fda8c.

  .../Imap_Client/lib/Horde/Imap/Client/Socket.php   |    4 ++--
  1 files changed, 2 insertions(+), 2 deletions(-)

http://git.horde.org/horde-git/-/commit/d3fd9669ad3e2e52ba88c82cebf67338b9247899
2012-04-10 04:20:27 Git Commit Comment #4 Reply to this comment
Changes have been made in Git (develop):

commit cdc4852e8e68bc02a52dfb7c3b4f07d77a9fda8c
Author: Michael M Slusarz <slusarz@horde.org>
Date:   Mon Apr 9 22:18:22 2012 -0600

     Bug #11137: Still need to support PHP 5.2 in version 1.x of Imap_Client

  .../Imap_Client/lib/Horde/Imap/Client/Socket.php   |    4 ++--
  1 files changed, 2 insertions(+), 2 deletions(-)

http://git.horde.org/horde-git/-/commit/cdc4852e8e68bc02a52dfb7c3b4f07d77a9fda8c
2012-04-10 04:19:15 Michael Slusarz Comment #3
Assigned to Michael Slusarz
State ⇒ Resolved
Reply to this comment
No, that's correct, at least as of PHP 5.3:

http://www.php.net/manual/en/language.oop5.constants.php

It looks like that code was backported from Imap_Client 2.x, which 
requires 5.3, to Imap_client 1.x, which only requires 5.2.
2012-04-10 04:18:39 Git Commit Comment #2 Reply to this comment
Changes have been made in Git (master):

commit cdc4852e8e68bc02a52dfb7c3b4f07d77a9fda8c
Author: Michael M Slusarz <slusarz@horde.org>
Date:   Mon Apr 9 22:18:22 2012 -0600

     Bug #11137: Still need to support PHP 5.2 in version 1.x of Imap_Client

  .../Imap_Client/lib/Horde/Imap/Client/Socket.php   |    4 ++--
  1 files changed, 2 insertions(+), 2 deletions(-)

http://git.horde.org/horde-git/-/commit/cdc4852e8e68bc02a52dfb7c3b4f07d77a9fda8c
2012-04-10 03:26:45 peter (at) dobranszky (dot) com Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ Improper code in Horde/Imap/Client/Socket.php
Queue ⇒ Horde Framework Packages
Milestone ⇒
Patch ⇒ No
Reply to this comment
In lines 1436-1437 of Horde/Imap/Client/Socket.php

             case $e::CATENATE_BADURL:
             case $e::CATENATE_TOOBIG:

shall be

             case Horde_Imap_Client_Exception::CATENATE_BADURL:
             case Horde_Imap_Client_Exception::CATENATE_TOOBIG:

Saved Queries